using cuqmbr.TravelGuide.Application.Common.Models;

namespace cuqmbr.TravelGuide.Application.Common.Interfaces.Services;

public interface SessionUserService
{
    public int? Id { get; }

    public Guid? Uuid { get; }

    public string? Email { get; }

    public ICollection<IdentityRole> Roles { get; }


    public bool IsAuthenticated => Id != null;


    public string? AccessToken { get; }

    public string? RefreshToken { get; }
}
