using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Trains.Queries.GetTrain;

public class GetTrainQueryValidator : AbstractValidator<GetTrainQuery>
{
    public GetTrainQueryValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
