using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.VehicleEnrollments.Queries.GetVehicleEnrollment;

public class GetVehicleEnrollmentQueryValidator : AbstractValidator<GetVehicleEnrollmentQuery>
{
    public GetVehicleEnrollmentQueryValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
