namespace cuqmbr.TravelGuide.Application.VehicleEnrollments.ViewModels;

public sealed class GetVehicleEnrollmentsPageFilterViewModel
{
    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;

    public string Search { get; set; } = String.Empty;

    public string Sort { get; set; } = String.Empty;

    public Guid? RouteGuid { get; set; }

    public Guid? VehicleGuid { get; set; }

    public int? NumberOfAddressesGreaterThanOrEqual { get; set; }

    public int? NumberOfAddressesLessThanOrEqual { get; set; }

    public DateTimeOffset? DepartureTimeGreaterThanOrEqual { get; set; }

    public DateTimeOffset? DepartureTimeLessThanOrEqual { get; set; }

    public DateTimeOffset? ArrivalTimeGreaterThanOrEqual { get; set; }

    public DateTimeOffset? ArrivalTimeLessThanOrEqual { get; set; }

    public TimeSpan? TravelTimeGreaterThanOrEqual { get; set; }

    public TimeSpan? TravelTimeLessThanOrEqual { get; set; }

    public TimeSpan? TimeMovingGreaterThanOrEqual { get; set; }

    public TimeSpan? TimeMovingLessThanOrEqual { get; set; }

    public TimeSpan? TimeInStopsGreaterThanOrEqual { get; set; }

    public TimeSpan? TimeInStopsLessThanOrEqual { get; set; }

    public decimal? CostGreaterThanOrEqual { get; set; }

    public decimal? CostLessThanOrEqual { get; set; }

    public string? Currency { get; set; }
}
