using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class TicketGroup : EntityBase
{
    public string PassangerFirstName { get; set; }

    public string PassangerLastName { get; set; }

    public string PassangerPatronymic { get; set; }

    public Sex PassangerSex { get; set; }

    public DateOnly PassangerBirthDate { get; set; }

    public DateTimeOffset PurchaseTime { get; set; }

    public bool Returned { get; set; }

    public TimeSpan TravelTime { get; set; }


    public ICollection<Ticket> Tickets { get; set; }
}
