using cuqmbr.TravelGuide.Domain.Enums;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Addresses.Commands.AddAddress;

public record AddAddressCommand : IRequest<AddressDto>
{
    public string Name { get; set; }

    public double Longitude { get; set; }

    public double Latitude { get; set; }

    public VehicleType VehicleType { get; set; }

    public Guid CityGuid { get; set; }
}
