using MediatR;

namespace cuqmbr.TravelGuide.Application.Aircrafts.Commands.UpdateAircraft;

public record UpdateAircraftCommand : IRequest<AircraftDto>
{
    public Guid Guid { get; set; }

    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
