using MediatR;

namespace cuqmbr.TravelGuide.Application.Buses.Commands.UpdateBus;

public record UpdateBusCommand : IRequest<BusDto>
{
    public Guid Guid { get; set; }

    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
