using MediatR;

namespace cuqmbr.TravelGuide.Application.Trains.Commands.UpdateTrain;

public record UpdateTrainCommand : IRequest<TrainDto>
{
    public Guid Guid { get; set; }

    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
