using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.VehicleEnrollments.Commands.DeleteVehicleEnrollment;

public class DeleteVehicleEnrollmentCommandValidator : AbstractValidator<DeleteVehicleEnrollmentCommand>
{
    public DeleteVehicleEnrollmentCommandValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
