using cuqmbr.TravelGuide.Application.Common.Interfaces.Services;
using Microsoft.Extensions.DependencyInjection;

namespace cuqmbr.TravelGuide.Configuration.Infrastructure;

public static class Configuration
{
    public static IServiceCollection ConfigureInfrastructure(
        this IServiceCollection services)
    {
        services
            .AddHttpClient();

        services
            .AddScoped<
                CurrencyConverterService,
                ExchangeApiCurrencyConverterService>();

        return services;
    }
}
