namespace cuqmbr.TravelGuide.Domain.Enums;

// Do not forget to update the schema of your database when changing
// this class (if you use it with a database)

public abstract class DocumentType : Enumeration<DocumentType>
{
    public static readonly DocumentType Passport = new PassportDocumentType();

    protected DocumentType(int value, string name) : base(value, name) { }

    private sealed class PassportDocumentType : DocumentType
    {
        public PassportDocumentType() : base(0, "passport") { }
    }
}
