using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class VehicleTypeConverter : ValueConverter<VehicleType, string>
{
    public VehicleTypeConverter()
        : base(
        v => v.Name,
        v => VehicleType.FromName(v))
    { }
}
